<?xml version="1.0" encoding="UTF-8"?>
<VW_TIMEHISTORY desc_thai="ประวัติการทำงานของพนักงาน" desc_eng="Time History" editcheck="true" mainhelp="" referhelp="" mainkey="" fieldsystem="" protype="table" deleteflag="true" config_field="">
	<FIELD>
		<EMPLOYEEID lang="A" encrypt="false" log="false" type="String">
			<KEY>1</KEY>
			<WIDTH>15</WIDTH>
			<DESC_ENG>Employee Code</DESC_ENG>
			<DESC_THAI>รหัสพนักงาน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_THAI>รหัสพนักงาน</ALT_THAI>
				<ALT_ENG>Employee Code</ALT_ENG>
			</COMPONENT>
			<REQUIRE>true</REQUIRE>
		</EMPLOYEEID>
		<FULLNAME lang="A" encrypt="false" log="false" type="String">
			<WIDTH>50</WIDTH>
			<DESC_ENG>Employee Fullname</DESC_ENG>
			<DESC_THAI>ชื่อพนักงาน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>50</MAXSIZE>
				<SIZE>50</SIZE>
				<ALT_THAI>ชื่อพนักงาน</ALT_THAI>
				<ALT_ENG>Employee Fullname</ALT_ENG>
			</COMPONENT>
		</FULLNAME>
		<COMPANYID lang="A" encrypt="false" log="false" type="String">
			<KEY>2</KEY>
			<WIDTH>5</WIDTH>
			<DESC_ENG>Company ID</DESC_ENG>
			<DESC_THAI>รหัสบริษัท</DESC_THAI>
			<COMPONENT type="text">
 			  	<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Company ID</ALT_ENG>
				<ALT_THAI>รหัสบริษัท</ALT_THAI>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		</COMPANYID>
		<DATEID lang="A" encrypt="false" log="false" type="Date">
			<KEY>3</KEY>
			<WIDTH>10</WIDTH>
			<!--RELATION>TTIME_CURRENT</RELATION-->
			<DESC_ENG>Date  ID</DESC_ENG>
			<DESC_THAI>รหัสวัน</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>10</SIZE>
				<MAXSIZE>10</MAXSIZE>
				<ALT_THAI>รหัสวัน</ALT_THAI>
				<ALT_ENG>Date ID</ALT_ENG>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		</DATEID>
		<DOCTYPE lang="A" encrypt="false" log="false" type="String">
			<WIDTH>3</WIDTH>
			<DESC_ENG>Doc Type</DESC_ENG>
			<DESC_THAI>ประเภทเอกสาร</DESC_THAI>
			<COMPONENT type="list">
				<MAXSIZE>3</MAXSIZE>
				<SIZE>3</SIZE>
				<ALT_ENG>Doc Type</ALT_ENG>
				<ALT_THAI>ประเภทเอกสาร</ALT_THAI>
				<VALIDCODE>TA_DOCTYPE</VALIDCODE>
			</COMPONENT>
		</DOCTYPE>
		<DOCNO lang="A" encrypt="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<DESC_ENG>Document Number</DESC_ENG>
			<DESC_THAI>รหัสเอกสาร</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>10</SIZE>
				<MAXSIZE>15</MAXSIZE>
				<ALT_THAI>รหัสเอกสาร</ALT_THAI>
				<ALT_ENG>Document Number</ALT_ENG>
			</COMPONENT>
		</DOCNO>
		<EMP_TIME0 lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>MTIME0</RELATION>
			<DESC_ENG>Time ID</DESC_ENG>
			<DESC_THAI>รหัสเวลาทำงาน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Time ID</ALT_ENG>
				<ALT_THAI>รหัสเวลาทำงาน</ALT_THAI>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		</EMP_TIME0>
		<D_TIME0 lang="A" encrypt="false" log="false" type="String">
			<WIDTH>50</WIDTH>
			<RELATION>V1MTIME0</RELATION>
			<DESC_ENG>Old Time ID</DESC_ENG>
			<DESC_THAI>รหัสเวลาทำงานเดิม</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>50</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Old Time ID </ALT_ENG>
				<ALT_THAI>รหัสเวลาทำงานเดิม</ALT_THAI>
			</COMPONENT>
		</D_TIME0>
		<SEQUENCE lang="A" encrypt="false" log="false" type="String">
			<KEY>4</KEY>
			<WIDTH>2</WIDTH>
			<DESC_ENG>Sequence</DESC_ENG>
			<DESC_THAI>ลำดับข้อมูล</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>2</SIZE>
				<MAXSIZE>2</MAXSIZE>
				<ALT_THAI>ลำดับข้อมูล</ALT_THAI>
				<ALT_ENG>Sequence</ALT_ENG>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		</SEQUENCE>
		<C_TM_BG lang="A" encrypt="false" log="false" type="Double">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Company Time Begin</DESC_ENG>
			<DESC_THAI>เวลาเริ่มต้นบริษัท</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>5</SIZE>
				<MAXSIZE>5</MAXSIZE>
				<ALT_THAI>เวลาเริ่มต้นบริษัท [HHMM]</ALT_THAI>
				<ALT_ENG>Company Time Begin [HHMM]</ALT_ENG>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		<APPNAME name="PERSONAL">
			<DESC_ENG>Company Time Begin</DESC_ENG>
			<DESC_THAI>เวลาเริ่มต้นตารางเวลา</DESC_THAI>
				<COMPONENT type="text"><SIZE>5</SIZE>
				<MAXSIZE>5</MAXSIZE>
				<ALT_THAI>เวลาเริ่มต้นตารางเวลา</ALT_THAI>
				<ALT_ENG>Company Time Begin</ALT_ENG>
			</COMPONENT></APPNAME>
		<APPNAME name="TA">
			<DESC_ENG>Company Time Begin</DESC_ENG>
			<DESC_THAI>เวลาเริ่มต้นหลังการปรับปรุง</DESC_THAI>
				<COMPONENT type="text"><SIZE>5</SIZE>
				<MAXSIZE>4</MAXSIZE>
				<ALT_THAI>เวลาเริ่มต้นหลังการปรับปรุง [HHMM]</ALT_THAI>
				<ALT_ENG>Company Time Begin [HHMM]</ALT_ENG>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT></APPNAME>
		</C_TM_BG>
		<C_TM_EN lang="A" encrypt="false" log="false" type="Double">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Company Time End</DESC_ENG>
			<DESC_THAI>เวลาสิ้นสุดบริษัท</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>5</SIZE>
				<MAXSIZE>5</MAXSIZE>
				<ALT_THAI>เวลาสิ้นสุดบริษัท [HHMM]</ALT_THAI>
				<ALT_ENG>Company Time End [HHMM]</ALT_ENG>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		<APPNAME name="PERSONAL">
			<DESC_ENG>Company Time End</DESC_ENG>
			<DESC_THAI>เวลาสิ้นสุดตารางเวลา</DESC_THAI>
				<COMPONENT type="text"><SIZE>5</SIZE>
				<MAXSIZE>5</MAXSIZE>
				<ALT_THAI>เวลาสิ้นสุดตารางเวลา</ALT_THAI>
				<ALT_ENG>Company Time End</ALT_ENG>
			</COMPONENT></APPNAME>
		<APPNAME name="TA">
			<DESC_ENG>Company Time End</DESC_ENG>
			<DESC_THAI>เวลาสิ้นสุดหลังการปรับปรุง</DESC_THAI>
				<COMPONENT type="text"><SIZE>5</SIZE>
				<MAXSIZE>4</MAXSIZE>
				<ALT_THAI>เวลาสิ้นสุดหลังการปรับปรุง [HHMM]</ALT_THAI>
				<ALT_ENG>Company Time End [HHMM]</ALT_ENG>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT></APPNAME>
		</C_TM_EN>
		<M_TM_BG lang="A" encrypt="false" log="false" type="Double">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Employee Time Begin</DESC_ENG>
			<DESC_THAI>เวลาเริ่มต้นพนักงาน</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>5</SIZE>
				<MAXSIZE>5</MAXSIZE>
				<ALT_THAI>เวลาเริ่มต้นพนักงาน</ALT_THAI>
				<ALT_ENG>Employee Time Begin</ALT_ENG>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		<APPNAME name="TA">
			<DESC_ENG>Employee Time Begin</DESC_ENG>
			<DESC_THAI>เวลาเริ่มต้นพนักงาน</DESC_THAI>
				<COMPONENT type="text"><SIZE>5</SIZE>
				<MAXSIZE>4</MAXSIZE>
				<ALT_THAI>เวลาเริ่มต้นพนักงาน [HHMM]</ALT_THAI>
				<ALT_ENG>Employee Time Begin [HHMM]</ALT_ENG>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT></APPNAME>
		</M_TM_BG>
		<M_TM_EN lang="A" encrypt="false" log="false" type="Double">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Employee Time End</DESC_ENG>
			<DESC_THAI>เวลาสิ้นสุดพนักงาน</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>5</SIZE>
				<MAXSIZE>5</MAXSIZE>
				<ALT_THAI>เวลาสิ้นสุดพนักงาน</ALT_THAI>
				<ALT_ENG>Employee Time End</ALT_ENG>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		<APPNAME name="TA">
			<DESC_ENG>Employee Time End</DESC_ENG>
			<DESC_THAI>เวลาสิ้นสุดพนักงาน</DESC_THAI>
				<COMPONENT type="text"><SIZE>5</SIZE>
				<MAXSIZE>4</MAXSIZE>
				<ALT_THAI>เวลาสิ้นสุดพนักงาน [HHMM]</ALT_THAI>
				<ALT_ENG>Employee Time End [HHMM]</ALT_ENG>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT></APPNAME>
		</M_TM_EN>
		<TM_EN lang="A" encrypt="false" log="false" type="Double">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Employee Time End</DESC_ENG>
			<DESC_THAI>เวลาสิ้นสุดพนักงาน</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>5</SIZE>
				<MAXSIZE>5</MAXSIZE>
				<ALT_THAI>เวลาสิ้นสุดพนักงาน</ALT_THAI>
				<ALT_ENG>Employee Time End</ALT_ENG>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		<APPNAME name="TA">
			<DESC_ENG>Employee Time End</DESC_ENG>
			<DESC_THAI>เวลาสิ้นสุดพนักงาน</DESC_THAI>
				<COMPONENT type="text"><SIZE>5</SIZE>
				<MAXSIZE>4</MAXSIZE>
				<ALT_THAI>เวลาสิ้นสุดพนักงาน [HHMM]</ALT_THAI>
				<ALT_ENG>Employee Time End [HHMM]</ALT_ENG>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT></APPNAME>
		</TM_EN>
		<TM_BG lang="A" encrypt="false" log="false" type="Double">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Employee Time End</DESC_ENG>
			<DESC_THAI>เวลาสิ้นสุดพนักงาน</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>5</SIZE>
				<MAXSIZE>5</MAXSIZE>
				<ALT_THAI>เวลาสิ้นสุดพนักงาน</ALT_THAI>
				<ALT_ENG>Employee Time End</ALT_ENG>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		<APPNAME name="TA">
			<DESC_ENG>Employee Time End</DESC_ENG>
			<DESC_THAI>เวลาสิ้นสุดพนักงาน</DESC_THAI>
				<COMPONENT type="text"><SIZE>5</SIZE>
				<MAXSIZE>4</MAXSIZE>
				<ALT_THAI>เวลาสิ้นสุดพนักงาน [HHMM]</ALT_THAI>
				<ALT_ENG>Employee Time End [HHMM]</ALT_ENG>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT></APPNAME>
		</TM_BG>

		<LT lang="A" encrypt="false" log="false" type="Double">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Late Time</DESC_ENG>
			<DESC_THAI>จำนวนเวลาที่สาย</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>5</SIZE>
				<MAXSIZE>10</MAXSIZE>
				<ALT_THAI>จำนวนเวลาที่สาย [HHMM]</ALT_THAI>
				<ALT_ENG>Late Time [HHMM]</ALT_ENG>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT>
		</LT>
		<M_LV lang="A" encrypt="false" log="false" type="Double">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Time Leave Used</DESC_ENG>
			<DESC_THAI>จำนวนเวลาลาที่พนักงานลาไปจริง</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>5</SIZE>
				<MAXSIZE>10</MAXSIZE>
				<ALT_THAI>จำนวนเวลาลาที่พนักงานลาไปจริง [HHMM]</ALT_THAI>
				<ALT_ENG>Time Leave Used [HHMM]</ALT_ENG>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT>
			<APPNAME name="PERSONAL">
			<DESC_ENG>Time Leave Used</DESC_ENG>
			<DESC_THAI>จำนวนชั่วโมงที่ลาจริง</DESC_THAI>
				<COMPONENT type="text">
				<SIZE>5</SIZE>
				<MAXSIZE>10</MAXSIZE>
				<ALT_THAI>จำนวนชั่วโมงลาที่ลาจริง</ALT_THAI>
				<ALT_ENG>Time Leave Used</ALT_ENG>
			</COMPONENT></APPNAME>
			<APPNAME name="TA">
			<DESC_ENG>Time Leave Used</DESC_ENG>
			<DESC_THAI>จำนวนชั่วโมงที่ลาจริง</DESC_THAI>
				<COMPONENT type="text">
				<SIZE>5</SIZE>
				<MAXSIZE>10</MAXSIZE>
				<ALT_THAI>จำนวนชั่วโมงที่ลาจริง [HHMM]</ALT_THAI>
				<ALT_ENG>Time Leave Used [HHMM]</ALT_ENG>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT></APPNAME>
		</M_LV>
		<LV_TY lang="A" encrypt="false" log="false" type="String">
			<RELATION>V2MEVENTGRP</RELATION>
			<WIDTH>3</WIDTH>
			<DESC_ENG>Leave Type</DESC_ENG>
			<DESC_THAI>ประเภทการลา</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>3</SIZE>
				<MAXSIZE>3</MAXSIZE>
				<ALT_THAI>ประเภทการลา</ALT_THAI>
				<ALT_ENG>Leave Type</ALT_ENG>
			</COMPONENT>
		</LV_TY>
		<AC_OT lang="A" encrypt="false" log="false" type="Double">
			<WIDTH>10</WIDTH>
			<DESC_ENG>OT Work</DESC_ENG>
			<DESC_THAI>จำนวนชม. โอที (ทำจริง)</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>5</SIZE>
				<MAXSIZE>10</MAXSIZE>
				<ALT_THAI>จำนวนชม. โอที (ทำจริง) [HHMM]</ALT_THAI>
				<ALT_ENG>OT Work [HHMM]</ALT_ENG>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT>
		</AC_OT>
		<AP_OT lang="A" encrypt="false" log="false" type="Double">
			<WIDTH>10</WIDTH>
			<DESC_ENG>OT Approve</DESC_ENG>
			<DESC_THAI>จำนวนชม. โอที (อนุมัติ)</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>5</SIZE>
				<MAXSIZE>10</MAXSIZE>
				<ALT_THAI>จำนวนชม. โอที (อนุมัติ) [HHMM]</ALT_THAI>
				<ALT_ENG>OT Approve [HHMM]</ALT_ENG>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT>
		</AP_OT>
		<OT1 lang="A" encrypt="false" log="false" type="Double">
			<WIDTH>10</WIDTH>
			<DESC_ENG>OT 1</DESC_ENG>
			<DESC_THAI>จำนวนชั่วโมงโอที 1 เท่า</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>5</SIZE>
				<MAXSIZE>10</MAXSIZE>
				<ALT_THAI>จำนวนชั่วโมงโอที 1 เท่า [HHMM]</ALT_THAI>
				<ALT_ENG>OT 1 [HHMM]</ALT_ENG>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT>
		</OT1>
		<OT5 lang="A" encrypt="false" log="false" type="Double">
			<WIDTH>10</WIDTH>
			<DESC_ENG>OT 1.5</DESC_ENG>
			<DESC_THAI>จำนวนชั่วโมงโอที 1.5 เท่า</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>5</SIZE>
				<MAXSIZE>10</MAXSIZE>
				<ALT_THAI>จำนวนชั่วโมงโอที 1.5 เท่า [HHMM]</ALT_THAI>
				<ALT_ENG>OT 1.5 [HHMM]</ALT_ENG>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT>
		</OT5>
		<OT2 lang="A" encrypt="false" log="false" type="Double">
			<WIDTH>10</WIDTH>
			<DESC_ENG>OT 2</DESC_ENG>
			<DESC_THAI>จำนวนชั่วโมงโอที 2 เท่า</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>5</SIZE>
				<MAXSIZE>10</MAXSIZE>
				<ALT_THAI>จำนวนชั่วโมงโอที 2 เท่า [HHMM]</ALT_THAI>
				<ALT_ENG>OT 2 [HHMM]</ALT_ENG>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT>
		</OT2>
		<OT3 lang="A" encrypt="false" log="false" type="Double">
			<WIDTH>10</WIDTH>
			<DESC_ENG>OT 3</DESC_ENG>
			<DESC_THAI>จำนวนชั่วโมงโอที 3 เท่า</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>5</SIZE>
				<MAXSIZE>10</MAXSIZE>
				<ALT_THAI>จำนวนชั่วโมงโอที 3 เท่า [HHMM]</ALT_THAI>
				<ALT_ENG>OT 3 [HHMM]</ALT_ENG>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT>
		</OT3>
		<EVENTGRP lang="A" encrypt="false" log="false" type="String">
			<WIDTH>3</WIDTH>
			<RELATION>MEVENTGRP</RELATION>
			<DESC_ENG>Event Day</DESC_ENG>
			<DESC_THAI>ประเภทวัน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>3</MAXSIZE>
				<SIZE>3</SIZE>
				<ALT_ENG>Event Day</ALT_ENG>
				<ALT_THAI>ประเภทวัน</ALT_THAI>
			</COMPONENT>
		</EVENTGRP>
		<BU1 lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>MBU1</RELATION>
			<DESC_ENG>Business Unit 1</DESC_ENG>
			<DESC_THAI>หน่วยงานระดับที่ 1</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Business Unit 1</ALT_ENG>
				<ALT_THAI>หน่วยงานระดับที่ 1</ALT_THAI>
			</COMPONENT>
		</BU1>
		<BU2 lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>MBU2</RELATION>
			<DESC_ENG>Business Unit 2</DESC_ENG>
			<DESC_THAI>หน่วยงานระดับที่ 2</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Business Unit 2</ALT_ENG>
				<ALT_THAI>หน่วยงานระดับที่ 2</ALT_THAI>
			</COMPONENT>
		</BU2>
		<BU3 lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>MBU3</RELATION>
			<DESC_ENG>Business Unit 3</DESC_ENG>
			<DESC_THAI>หน่วยงานระดับที่ 3</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Business Unit 3</ALT_ENG>
				<ALT_THAI>หน่วยงานระดับที่ 3</ALT_THAI>
			</COMPONENT>
		</BU3>
		<BU4 lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>MBU4</RELATION>
			<DESC_ENG>Business Unit 4</DESC_ENG>
			<DESC_THAI>หน่วยงานระดับที่ 4</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Business Unit 4</ALT_ENG>
				<ALT_THAI>หน่วยงานระดับที่ 4</ALT_THAI>
			</COMPONENT>
		</BU4>
		<BU5 lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>MBU5</RELATION>
			<DESC_ENG>Business Unit 5</DESC_ENG>
			<DESC_THAI>หน่วยงานระดับที่ 5</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Business Unit 5</ALT_ENG>
				<ALT_THAI>หน่วยงานระดับที่ 5</ALT_THAI>
			</COMPONENT>
		</BU5>
		<HOUR_D lang="A" encrypt="false" log="false" type="Double">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Hour : Days</DESC_ENG>
			<DESC_THAI>ชั่วโมง : วัน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Hour : Days [HHMM]</ALT_ENG>
				<ALT_THAI>ชั่วโมง : วัน [HHMM]</ALT_THAI>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT>
		</HOUR_D>
		<HOUR_S lang="A" encrypt="false" verify="false" log="false" type="Double">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Hour : Days Default</DESC_ENG>
			<DESC_THAI>ชั่วโมง : วัน ปกติ</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Hour : Days Default [HHMM]</ALT_ENG>
				<ALT_THAI>ชั่วโมง : วัน ปกติ [HHMM]</ALT_THAI>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT>
		</HOUR_S>
		<SH_TM_BG lang="A" encrypt="false" verify="false" log="false" type="Double">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Shift Time Begin</DESC_ENG>
			<DESC_THAI>เวลาเริ่มต้นตามตารางเวลา</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>5</SIZE>
				<MAXSIZE>4</MAXSIZE>
				<ALT_THAI>เวลาเริ่มต้นตามตารางเวลา</ALT_THAI>
				<ALT_ENG>Shift Time Begin</ALT_ENG>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
				<REQUIRE>true</REQUIRE>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
			</COMPONENT>
		</SH_TM_BG>
		<SH_TM_EN lang="A" encrypt="false" verify="false" log="false" type="Double">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Shift Time End</DESC_ENG>
			<DESC_THAI>เวลาสิ้นสุดตามตารางเวลา</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>5</SIZE>
				<MAXSIZE>5</MAXSIZE>
				<ALT_THAI>เวลาสิ้นสุดตามตารางเวลา</ALT_THAI>
				<ALT_ENG>Shift Time End</ALT_ENG>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
				<REQUIRE>true</REQUIRE>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
			</COMPONENT>
		</SH_TM_EN>
	</FIELD>
	<RELATION>
	</RELATION>
</VW_TIMEHISTORY>
